Reference for Processing version 1.1+. If you have a previous version, use the reference included with your software. If you see any errors or have suggestions, »please let us know. If you prefer a more technical reference, visit the »Processing Javadoc.

Class | Serial
Name | ### buffer()
Examples |
    // Example by Tom Igoe

    import processing.serial.*;

    Serial myPort;    // The serial port
    PFont myFont;     // The display font
    String inString;  // Input string from serial port
    int lf = 10;      // ASCII linefeed

    void setup() {
      size(400,200);
      // Make your own font. It's fun!
      myFont = loadFont("ArialMS-18.vlw");
      textFont(myFont, 18);
      // List all the available serial ports:
      println(Serial.list());

      // I know that the first port in the serial list on my mac
      // is always my  Keyspan adaptor, so I open Serial.list()[0].
      // Open whatever port is the one you're using.
      myPort = new Serial(this, Serial.list()[0], 9600);
      myPort.buffer(3);

    }

    void draw() {
      // Twiddle your thumbs
      background(0);
      text("Received: " + inString, 10, 50);

    }

    void serialEvent(Serial myPort) {
      inString = myPort.readString();
    }
Description | Sets the number of bytes to buffer before calling serialEvent()
Syntax |
    serial.buffer(count)
Parameters |
serial | any variable of type Serial
count | int: number of bytes to buffer
Returns | int
Usage | Web & Application

Updated on June 14, 2010 12:05:25pm EDT